#ifndef __text_h__
#define __text_h__

// The following three are the same for your convenience
#define TEXT_NONE 0
#define TEXT_HORIZONTAL 0

// Write text/numbers vertical
#define TEXT_VERTICAL 1

// Remove zeroes (always done atm)
#define TEXT_FIXED 2

// Output at what base
#define HEX 4
#define BASE16 4
#define BASE8 8
#define BASE2 16
#define BINARY 16

// Text/number positions
#define TEXT_CENTER -1
#define TEXT_RIGHT -2
#define TEXT_LEFT -3
#define TEXT_TOP -4
#define TEXT_BOTTOM -5

void WriteText(int x,int y, const char *text,unsigned int *fb=(unsigned int*)0xC0500000,int flags=TEXT_NONE);
int WriteNum(int x,int y,int num,unsigned int *fb=(unsigned int*)0xC0500000,int flags=TEXT_NONE);
void SetupLetters();

struct sletter{
	int x;
	int y;
};

extern sletter letter[0x80];

#endif
