#include <gccore.h> 

#include "globals.h"
#include "colordefines.h"

void BuildBg()
{
	for(int y=0;y < 480;y++)
	{
		u32 color=(u32)(150*((float)y/480));

		for(int x=0;x < 320;x++)
			bg[x+y*320]=color;
	}
}

void AddBorder()
{
	int xoffset;

	int players=options.players;

	for(int player=0;player < players;player++)
	{
		for(int x=0;x < 12;x++)
		{
			if(players==1)
				xoffset=x+10;
			else
				xoffset=x+2+player*16;

			DrawSquareEx(xoffset*10,20,CANDY);
		}

		for(int x=0;x < 12;x++)
		{
			if(players==1 && options.netplay==0)
				xoffset=x+10;
			else
				xoffset=x+2+player*16;

			DrawSquareEx(xoffset*10,22*20,CANDY);
		}

		int xoffset;

		if(players==1 && options.netplay==0)
			xoffset=10*10;
		else
			xoffset=(2+player*11)*10;

		for(int y=0;y < 20;y++)
			DrawSquareEx(xoffset,(y+2)*20,CANDY);

		if(players==1 && options.netplay==0)
			xoffset=21*10;
		else
			xoffset=(18+player*11)*10;

		for(int y=0;y < 20;y++)
			DrawSquareEx(xoffset,(y+2)*20,CANDY);

	}
}

void DrawSquareEx(int x,int y,u8 gfx)
{
	for(int newy=y;newy < y+20;newy++)
	{
		for(int newx=x;newx < x+10;newx++)
			bg[newx+newy*320]=blockgfx[gfx][(newx-x)+(newy-y)*10];
	}
}
