#include <gccore.h> 	

#include "globals.h"
#include "prototypes.h"
#include "text.h"

void KeyRefresh()
{

	for(int player=0; player < options.players; player++)
	{

		if(options.players == 1)
		{	
			if(PAD_ButtonsDown(0) & PAD_TRIGGER_Z)
				game();

			if(PAD_ButtonsDown(0) & PAD_BUTTON_START)
			{
				options.pause = 1;

				u32 tempcolor;
				u8* tmppoint;

				// Fade hax
				for(int i=0;i < 320*480;i++)
				{
					tempcolor = xfb[i];
					tmppoint = (u8*)&tempcolor;
					tmppoint[0] = (u8)((float)tmppoint[0]*0.2);
					tmppoint[2] = (u8)((float)tmppoint[2]*0.2);

					xfb[i] = tempcolor;

				}

				WriteText(120, 200, "pause", xfb);

				waitVsync();

				while(options.pause)
				{
					PAD_ScanPads();

					if(PAD_ButtonsDown(0) & PAD_BUTTON_START)
						options.pause = 0;
				}

			}
		}

		if(options.players == 2)
		{

			if(pad[0].button & PAD_TRIGGER_Z && pad[1].button & PAD_TRIGGER_Z)
				game();

			if(pad[0].button & PAD_BUTTON_START && pad[1].button & PAD_BUTTON_START)
			{
				u32 tempcolor;
				u8* tmppoint;

				for(int i = 0; i < 320*480; i++)
				{
					tempcolor = xfb[i];
					tmppoint = (u8*)&tempcolor;
					tmppoint[0] = (u8)((float)tmppoint[0]*0.2);
					tmppoint[2] = (u8)((float)tmppoint[2]*0.2);
					xfb[i] = tempcolor;

				}

				WriteText(40, 200, "pause", xfb);
				WriteText(200, 200, "pause", xfb);

				waitVsync();

				while(pad[0].button & PAD_BUTTON_START || pad[1].button & PAD_BUTTON_START)
					PAD_Read(pad);
			}
		}

		if(PAD_ButtonsDown(player) & PAD_BUTTON_A)
			rotate(block[player].rot + 1, player);

		if(PAD_ButtonsDown(player) & PAD_BUTTON_B)
			rotate(block[player].rot - 1, player);

		if(!(pad[player].button & PAD_BUTTON_LEFT) && PAD_StickX(player) > -65 && !(pad[player].button & PAD_BUTTON_RIGHT) && PAD_StickX(player) < 65)
		{
			block[player].haspressed = 0;
			block[player].waitnum = 0;
		}

		if(block[player].haspressed==0 || block[player].waitnum > 10)
		{
			if((pad[player].button & PAD_BUTTON_LEFT || PAD_StickX(player) < -65))
			{
				block[player].haspressed = 1;

				MoveBlock(LEFT, player);
			}
			if((pad[player].button & PAD_BUTTON_RIGHT || PAD_StickX(player) > 65))
			{
				block[player].haspressed = 1;

				MoveBlock(RIGHT, player);
			}
		}
		else if((pad[player].button & PAD_BUTTON_LEFT || PAD_StickX(player) < -65) || (pad[player].button & PAD_BUTTON_RIGHT || PAD_StickX(player) > 65))
			block[player].waitnum++;

	}
}
