#include <string.h> 

#include <gccore.h> 

#include "globals.h"
#include "prototypes.h"
#include "text.h"

int RemoveLines(int player)
{
	int sil=0;

	for(int y=0;y < 20;y++)
	{
		for(int x=0;x < 10;x++)
		{
			if(map[player][x][y]!=9)
			{							
				sil++;
			}
		}
		if(sil==10)
		{
			RemoveLine(y,player);
			return 1;
		}
		sil=0;
	}

	return 0;
}

void RemoveLine(int line,int player)
{
	for(int y = line; y > 0; y--)
	{
		for(int x = 0;x < 10; x++)
			map[player][x][y] = map[player][x][y-1];
	}
	for(int x = 0; x < 10; x++)
		map[player][x][0] = 9;
	block[player].lines++;

	if(options.players == 1)
	{
		if(block[player].lines % 10 == 0)
		{
			if(block[player].level < 9)
				block[player].level++;

			block[player].speed = timing[block[player].level];
		}
	}

	if(options.players == 2)
	{
		if(options.tpspeedprog && block[player].lines % options.tpspeedprog == 0)
		{
			if(block[player ^ 1].level < 9)
				block[player ^1].level++;

			block[player ^ 1].speed = timing[block[player ^ 1].level];
		}

		if(options.tplines && block[player].lines == options.tplines)
				winner(player);
	}
}
